import { createApp } from 'vue';

import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/reset.css';

import router from './router';

import './style.css';
import App from './App.vue';

import i18n from './locales'; // 引入 i18n 配置文件

import { createPinia } from 'pinia';

import TlbsMap from 'tlbs-map-vue';

const pinia = createPinia();

const app = createApp(App);
app.use(router);
app.use(pinia);
app.use(i18n);
app.use(Antd);
app.use(TlbsMap);
app.mount('#app');